Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.rim.util
Class RimValidator

    java.lang.Object
      org.eclipse.emf.ecore.util.EObjectValidator
          org.eclipse.ohf.ihe.common.ebxml._2._1.rim.util.RimValidator

All Implemented Interfaces:
  org.eclipse.emf.ecore.EValidator

    public class RimValidator

extends org.eclipse.emf.ecore.util.EObjectValidator

The Validator for the model.

See Also:
  `RimPackage`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.util.EObjectValidator
`org.eclipse.emf.ecore.util.EObjectValidator.DynamicEDataTypeValidator`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EValidator
`org.eclipse.emf.ecore.EValidator.Descriptor, org.eclipse.emf.ecore.EValidator.PatternMatcher, org.eclipse.emf.ecore.EValidator.Registry, org.eclipse.emf.ecore.EValidator.SubstitutionLabelProvider`

Field Summary
`static java.lang.String` | `DIAGNOSTIC_SOURCE` A constant for the `source` of diagnostic `codes` from this package.
`static RimValidator` | `INSTANCE` The cached model package

Fields inherited from class org.eclipse.emf.ecore.util.EObjectValidator
`DATA_VALUE__FRACTION_DIGITS_IN_RANGE, DATA_VALUE__LENGTH_IN_RANGE, DATA_VALUE__MATCHES_PATTERN, DATA_VALUE__TOTAL_DIGITS_IN_RANGE, DATA_VALUE__TYPE_CORRECT, DATA_VALUE__VALUE_IN_ENUMERATION, DATA_VALUE__VALUE_IN_RANGE, EOBJECT__EVERY_DATA_VALUE_CONFORMS, EOBJECT__EVERY_MULTIPCITY_CONFORMS, EOBJECT__EVERY_PROXY_RESOLVES, EOBJECT__EVERY_REFERENCE_IS_CONTAINED, EOBJECT__UNIQUE_ID`

Fields inherited from interface org.eclipse.emf.ecore.EValidator
`MARKER, URI_ATTRIBUTE`

Constructor Summary
`RimValidator()` Creates an instance of the switch.

Method Summary
`boolean` | `validateAssociationType1(AssociationType1 associationType1, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAuditableEventType(AuditableEventType auditableEventType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateClassificationNodeType(ClassificationNodeType classificationNodeType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateClassificationSchemeType(ClassificationSchemeType classificationSchemeType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateClassificationType(ClassificationType classificationType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateDocumentRoot(DocumentRoot documentRoot, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateEmailAddressType(EmailAddressType emailAddressType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateEventTypeType(EventTypeType eventTypeType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateEventTypeTypeObject(EventTypeType eventTypeTypeObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateExternalIdentifierType(ExternalIdentifierType externalIdentifierType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateExternalLinkType(ExternalLinkType externalLinkType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateExtrinsicObjectType(ExtrinsicObjectType extrinsicObjectType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateFreeFormText_MaxLength(java.lang.String freeFormText, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MaxLength constraint of 'Free Form Text'.
`boolean` | `validateFreeFormText(java.lang.String freeFormText, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateInternationalStringType(InternationalStringType internationalStringType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateLeafRegistryObjectListType(LeafRegistryObjectListType leafRegistryObjectListType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateLocalizedStringType(LocalizedStringType localizedStringType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateLongName_MaxLength(java.lang.String longName, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MaxLength constraint of 'Long Name'.
`boolean` | `validateLongName(java.lang.String longName, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateNodeTypeType(NodeTypeType nodeTypeType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateNodeTypeTypeObject(NodeTypeType nodeTypeTypeObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateObjectRefListType(ObjectRefListType objectRefListType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateObjectRefType(ObjectRefType objectRefType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateOrganizationType(OrganizationType organizationType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePersonNameType(PersonNameType personNameType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validatePostalAddressType(PostalAddressType postalAddressType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRegistryEntryType(RegistryEntryType registryEntryType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRegistryObjectListType(RegistryObjectListType registryObjectListType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRegistryObjectType(RegistryObjectType registryObjectType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateRegistryPackageType(RegistryPackageType registryPackageType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateServiceBindingType(ServiceBindingType serviceBindingType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateServiceType(ServiceType serviceType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateShortName_MaxLength(java.lang.String shortName, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MaxLength constraint of 'Short Name'.
`boolean` | `validateShortName(java.lang.String shortName, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateSlotType1(SlotType1 slotType1, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateSpecificationLinkType(SpecificationLinkType specificationLinkType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateStabilityType(StabilityType stabilityType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateStabilityTypeObject(StabilityType stabilityTypeObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateStatusType(StatusType statusType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateStatusTypeObject(StatusType statusTypeObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateString16_MaxLength(java.lang.String string16, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MaxLength constraint of 'String16'.
`boolean` | `validateString16(java.lang.String string16, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateString32_MaxLength(java.lang.String string32, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MaxLength constraint of 'String32'.
`boolean` | `validateString32(java.lang.String string32, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateString4_MaxLength(java.lang.String string4, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MaxLength constraint of 'String4'.
`boolean` | `validateString4(java.lang.String string4, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateString8_MaxLength(java.lang.String string8, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the MaxLength constraint of 'String8'.
`boolean` | `validateString8(java.lang.String string8, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateTelephoneNumberListType(TelephoneNumberListType telephoneNumberListType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateTelephoneNumberType(TelephoneNumberType telephoneNumberType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateUserType(UserType userType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateValueListType(ValueListType valueListType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`

Methods inherited from class org.eclipse.emf.ecore.util.EObjectValidator
`getFeatureLabel, getObjectLabel, getValueLabel, validate_EveryDataValueConforms, validate_EveryDefaultConstraint, validate_EveryMultiplicityConforms, validate_EveryProxyResolves, validate_EveryReferenceIsContained, validate_UniqueID, validate, validate, validate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final RimValidator INSTANCE

  The cached model package

### DIAGNOSTIC_SOURCE

    public static final java.lang.String DIAGNOSTIC_SOURCE

  A constant for the `source` of diagnostic `codes` from this package.

  See Also:
    `Diagnostic.getSource()`, `Diagnostic.getCode()`, Constant Field Values

Constructor Detail

### RimValidator

    public RimValidator()

  Creates an instance of the switch.

Method Detail

### validateAssociationType1

    public boolean validateAssociationType1(AssociationType1 associationType1,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map context)

### validateAuditableEventType

    public boolean validateAuditableEventType(AuditableEventType auditableEventType,
                                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                              java.util.Map context)

### validateClassificationNodeType

    public boolean validateClassificationNodeType(ClassificationNodeType classificationNodeType,
                                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                  java.util.Map context)

### validateClassificationSchemeType

    public boolean validateClassificationSchemeType(ClassificationSchemeType classificationSchemeType,
                                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                    java.util.Map context)

### validateClassificationType

    public boolean validateClassificationType(ClassificationType classificationType,
                                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                              java.util.Map context)

### validateDocumentRoot

    public boolean validateDocumentRoot(DocumentRoot documentRoot,
                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                        java.util.Map context)

### validateEmailAddressType

    public boolean validateEmailAddressType(EmailAddressType emailAddressType,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map context)

### validateExternalIdentifierType

    public boolean validateExternalIdentifierType(ExternalIdentifierType externalIdentifierType,
                                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                  java.util.Map context)

### validateExternalLinkType

    public boolean validateExternalLinkType(ExternalLinkType externalLinkType,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map context)

### validateExtrinsicObjectType

    public boolean validateExtrinsicObjectType(ExtrinsicObjectType extrinsicObjectType,
                                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                               java.util.Map context)

### validateInternationalStringType

    public boolean validateInternationalStringType(InternationalStringType internationalStringType,
                                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                   java.util.Map context)

### validateLeafRegistryObjectListType

    public boolean validateLeafRegistryObjectListType(LeafRegistryObjectListType leafRegistryObjectListType,
                                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                      java.util.Map context)

### validateLocalizedStringType

    public boolean validateLocalizedStringType(LocalizedStringType localizedStringType,
                                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                               java.util.Map context)

### validateObjectRefListType

    public boolean validateObjectRefListType(ObjectRefListType objectRefListType,
                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                             java.util.Map context)

### validateObjectRefType

    public boolean validateObjectRefType(ObjectRefType objectRefType,
                                         org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                         java.util.Map context)

### validateOrganizationType

    public boolean validateOrganizationType(OrganizationType organizationType,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map context)

### validatePersonNameType

    public boolean validatePersonNameType(PersonNameType personNameType,
                                          org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                          java.util.Map context)

### validatePostalAddressType

    public boolean validatePostalAddressType(PostalAddressType postalAddressType,
                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                             java.util.Map context)

### validateRegistryEntryType

    public boolean validateRegistryEntryType(RegistryEntryType registryEntryType,
                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                             java.util.Map context)

### validateRegistryObjectListType

    public boolean validateRegistryObjectListType(RegistryObjectListType registryObjectListType,
                                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                  java.util.Map context)

### validateRegistryObjectType

    public boolean validateRegistryObjectType(RegistryObjectType registryObjectType,
                                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                              java.util.Map context)

### validateRegistryPackageType

    public boolean validateRegistryPackageType(RegistryPackageType registryPackageType,
                                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                               java.util.Map context)

### validateServiceBindingType

    public boolean validateServiceBindingType(ServiceBindingType serviceBindingType,
                                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                              java.util.Map context)

### validateServiceType

    public boolean validateServiceType(ServiceType serviceType,
                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                       java.util.Map context)

### validateSlotType1

    public boolean validateSlotType1(SlotType1 slotType1,
                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                     java.util.Map context)

### validateSpecificationLinkType

    public boolean validateSpecificationLinkType(SpecificationLinkType specificationLinkType,
                                                 org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                 java.util.Map context)

### validateTelephoneNumberListType

    public boolean validateTelephoneNumberListType(TelephoneNumberListType telephoneNumberListType,
                                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                   java.util.Map context)

### validateTelephoneNumberType

    public boolean validateTelephoneNumberType(TelephoneNumberType telephoneNumberType,
                                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                               java.util.Map context)

### validateUserType

    public boolean validateUserType(UserType userType,
                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                    java.util.Map context)

### validateValueListType

    public boolean validateValueListType(ValueListType valueListType,
                                         org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                         java.util.Map context)

### validateEventTypeType

    public boolean validateEventTypeType(EventTypeType eventTypeType,
                                         org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                         java.util.Map context)

### validateNodeTypeType

    public boolean validateNodeTypeType(NodeTypeType nodeTypeType,
                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                        java.util.Map context)

### validateStabilityType

    public boolean validateStabilityType(StabilityType stabilityType,
                                         org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                         java.util.Map context)

### validateStatusType

    public boolean validateStatusType(StatusType statusType,
                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                      java.util.Map context)

### validateEventTypeTypeObject

    public boolean validateEventTypeTypeObject(EventTypeType eventTypeTypeObject,
                                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                               java.util.Map context)

### validateFreeFormText

    public boolean validateFreeFormText(java.lang.String freeFormText,
                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                        java.util.Map context)

### validateFreeFormText_MaxLength

    public boolean validateFreeFormText_MaxLength(java.lang.String freeFormText,
                                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                  java.util.Map context)

  Validates the MaxLength constraint of 'Free Form Text'.

### validateLongName

    public boolean validateLongName(java.lang.String longName,
                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                    java.util.Map context)

### validateLongName_MaxLength

    public boolean validateLongName_MaxLength(java.lang.String longName,
                                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                              java.util.Map context)

  Validates the MaxLength constraint of 'Long Name'.

### validateNodeTypeTypeObject

    public boolean validateNodeTypeTypeObject(NodeTypeType nodeTypeTypeObject,
                                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                              java.util.Map context)

### validateShortName

    public boolean validateShortName(java.lang.String shortName,
                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                     java.util.Map context)

### validateShortName_MaxLength

    public boolean validateShortName_MaxLength(java.lang.String shortName,
                                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                               java.util.Map context)

  Validates the MaxLength constraint of 'Short Name'.

### validateStabilityTypeObject

    public boolean validateStabilityTypeObject(StabilityType stabilityTypeObject,
                                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                               java.util.Map context)

### validateStatusTypeObject

    public boolean validateStatusTypeObject(StatusType statusTypeObject,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            java.util.Map context)

### validateString16

    public boolean validateString16(java.lang.String string16,
                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                    java.util.Map context)

### validateString16_MaxLength

    public boolean validateString16_MaxLength(java.lang.String string16,
                                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                              java.util.Map context)

  Validates the MaxLength constraint of 'String16'.

### validateString32

    public boolean validateString32(java.lang.String string32,
                                    org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                    java.util.Map context)

### validateString32_MaxLength

    public boolean validateString32_MaxLength(java.lang.String string32,
                                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                              java.util.Map context)

  Validates the MaxLength constraint of 'String32'.

### validateString4

    public boolean validateString4(java.lang.String string4,
                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                   java.util.Map context)

### validateString4_MaxLength

    public boolean validateString4_MaxLength(java.lang.String string4,
                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                             java.util.Map context)

  Validates the MaxLength constraint of 'String4'.

### validateString8

    public boolean validateString8(java.lang.String string8,
                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                   java.util.Map context)

### validateString8_MaxLength

    public boolean validateString8_MaxLength(java.lang.String string8,
                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                             java.util.Map context)

  Validates the MaxLength constraint of 'String8'.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD